Skip to main content
GET
/
api
/
operations
/
{id}
Get operation
curl --request GET \
  --url https://developer.thehog.ai/api/operations/{id} \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>'
{
  "id": "<string>",
  "progress": 123,
  "result": {},
  "error": {}
}

GET /api/operations/:id

Poll the status of any async operation.
Poll the status of any async operation (enrichment, deep research, search, etc.).

Example

curl https://developer.thehog.ai/api/operations/op_01HZXYZ \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx"

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Path Parameters

id
string
required

Operation ID.

Response

Current operation status, progress, result, or error.

id
string
required
status
enum<string>
required
Available options:
queued,
processing,
succeeded,
failed,
partial_success,
cancelled
progress
number | null
result
object
error
object